package com.safeway.schemaToObject;

import org.apache.avro.Schema;
import org.apache.avro.compiler.specific.SpecificCompiler;

import java.io.File;
import java.io.IOException;

public class SchemaToObject {

    public static void main(String[] args) {

        try {

            String schemaString = "{\"type\":\"record\",\"name\":\"OfferMetaData\",\"namespace\":\"com.safeway.offerData.model\"," +
                    "\"fields\":[{\"name\":\"offerId\",\"type\":\"int\"},{\"name\":\"eligibility\",\"type\":\"string\"}," +
                    "{\"name\":\"discountType\",\"type\":\"string\"},{\"name\":\"status\",\"type\":\"string\"}," +
                    "{\"name\":\"startTime\",\"type\":\"string\"},{\"name\":\"endTime\",\"type\":\"string\"}," +
                    " {\"name\":\"offerDescription\",\"type\":\"string\"},{\"name\":\"offerType\",\"type\":\"string\"}," +
                    "{\"name\":\"rcptText\",\"type\":\"string\"}" +
                    "]}";

            SpecificCompiler compiler = new SpecificCompiler(new Schema.Parser().parse(schemaString));

            compiler.compileToDestination(new File(""),new File("src/main/java"));

        } catch (IOException e) {
          e.printStackTrace();
        }
    }
}
